From 7a261b6d780285cb7a13efd3bd8747d5c430ce49 Mon Sep 17 00:00:00 2001
From: benjaminVadon <benjamin.vadon@gmail.com>
Date: Wed, 6 Mar 2013 15:18:50 +0100
Subject: [PATCH] Update joli.js

Add replace SQL statement. Use it like insertInto, with query().replace(tableName).values(valuesToChangeObject)
---
 joli.js | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/joli.js b/joli.js
index 430a1bb..5bd2f6d 100644
--- a/joli.js
+++ b/joli.js
@@ -493,6 +493,8 @@ var joliCreator = function() {
                     return 'delete from ' + this.data.from;
                 case 'insert_into':
                     return 'insert into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
+                case 'replace':
+                    return 'replace into ' + this.data.from + ' (' + this.data.set.join(', ') + ') values (' + this.data.values.join(', ') + ')';
                 case 'select':
                     var join = '';
 
@@ -509,7 +511,7 @@ var joliCreator = function() {
                 case 'update':
                     return 'update ' + this.data.from + ' set ' + this.data.set.join(', ');
                 default:
-                    throw ("Operation type Error. joli.query operation type must be an insert, a delete, a select or an update.");
+                    throw ("Operation type Error. joli.query operation type must be an insert, a delete, a select, a replace or an update.");
             }
         },
         getQuery: function() {
@@ -667,6 +669,11 @@ var joliCreator = function() {
             this.data.order = order;
             return this;
         },
+        replace: function(table) {
+            this.data.operation = 'replace';
+            this.data.from = table;
+            return this;
+        },
         select: function(columns) {
             this.data.operation = 'select';
 
@@ -894,4 +901,4 @@ if (typeof exports === 'object' && exports) {
 
         return joli;
     };
-}
\ No newline at end of file
+}
